﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    public List<Button> allButtons = new List<Button>();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = GetDataSource();
        }
        wdg.DataSource = GetDataSource();

        int count = ((DataTable)wdg.DataSource).Rows.Count;
        int itemsPerPage = wdg.Behaviors.Paging.CurrentPageSize;
        int pages = count / itemsPerPage;
        
        Panel field = (Panel)wdg.Behaviors.Paging.PagerTemplateContainerBottom.FindControl("PagerContainer");
        for (int i = 0; i < pages; i++)
        {
          
            Button button = new Button();
            button.Text = (i + 1).ToString();
            button.ID = i.ToString();            
            field.Controls.Add(button);
            button.Click += new EventHandler(changePage);

            if(button.ID == "0")
            {
                button.CssClass = "ClickedButton";
            }
            allButtons.Add(button);
        }
    }

    public void changePage(object sender, EventArgs e)
    {
        foreach(var button in allButtons)
        {
            button.CssClass = button.CssClass.Replace("ClickedButton", "");
        }
        Button btn = sender as Button;
        if (btn != null)
        {
            wdg.Behaviors.Paging.PageIndex = int.Parse(btn.ID);            
            btn.CssClass = "ClickedButton";
        }
    }
    public DataTable GetDataSource()
    {
        DataTable dt = new DataTable("Table");
        dt.Columns.Add("ID");
        dt.Columns.Add("Fruit");
        dt.Columns.Add("Quantity");
        dt.Columns.Add("Date");

        dt.Columns["Quantity"].DataType = Type.GetType("System.Int32");
        dt.Columns["Date"].DataType = Type.GetType("System.DateTime");
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["ID"];
        dt.PrimaryKey = PrimaryKeyColumns;

        for (var i = 0; i < 20; i += 4)
        {
            dt.Rows.Add(new object[] { i, "Bannana", i, new DateTime(2020, 02, 25) });
            dt.Rows.Add(new object[] { i + 1, "Apple", i + 1, new DateTime(2020, 02, 15) });
            dt.Rows.Add(new object[] { i + 2, "Orange", i + 2, new DateTime(2020, 01, 28) });
            dt.Rows.Add(new object[] { i + 3, "Apple", i + 3, new DateTime(2015, 12, 25) });

        }

        return dt;
    }
}